Subject: Permaculture Books

From: [email-masked]
Date: Fri, 1 Sep 1995 8:23:25 -0500 (CDT)

Hi...On 8/31 Scott wrote - Hi Carol- Say - did you ever get an answer to your 
query  about a source for pPermaculture books? .

Hi Scot - Yes, I got several helpful replies.  Here's the source information I 
found...There's a place called Permaculture Resources, 56 Farmersville Rd., 
Califon, J.J. 07830.  Ph: 800-832-6285.  Fax: 908-832-9162.  They send me a 
free cat. full of wonderful things the same day I called.  I also attended a 
weekend on Permaculture  featuring Peter Bane, who puts out a publication 
called "The Permaculture Activist" - 3 issues a yr.+ updates.  They seem to be 
a source as well for 'The Permaculture Edge, and Permaculture:Solutions 
(U.K.). The address into there is The Permaculture Activist, Subscriptions POB 
1209, Black Mountain NC 28711 USA.  
Scot - The Perm.Activist is listed on the card as $20/yr overseas-surface ($25 
airmail).  $16/yr US, Can., Mex.    
Hope this helps.  Best...Carol